%clear

Price = xlsread('results_BC_D6_T2880_F100_DL100_DR10.xls','Price')

DRup = xlsread('results_BC_D6_T2880_F100_DL100_DR10.xls','dr_up')

Generation = xlsread('results_BC_D6_T2880_F100_DL100_DR10.xls','Diff_generators')


TotalDR = xlsread('results_BC_D6_T2880_F100_DL100_DR10.xls','Total DR')

Con = xlsread('results_BC_D6_T2880_F100_DL100_DR10.xls','con_costs')

EnertoksPurchased = xlsread('results_BC_D6_T2880_F100_DL100_DR10.xls','Energy_consumed')
EnertoksUseDeferred = xlsread('results_BC_D6_T2880_F100_DL100_DR10.xls','Diff_consumers')
PAYGLoadConsumption = xlsread('results_BC_D6_T2880_F100_DL100_DR10.xls','Pay_as_you')


TotalLoadConsumption = sum(EnertoksPurchased,2) + sum(EnertoksUseDeferred,2)/25   + sum(PAYGLoadConsumption,2)




[A,Times,~] = xlsread('new data for Mel','loads to use', 'A2:A5762')

LoadskW = xlsread('new data for Mel','loads to use')

%RowStop = 5761 %Four days

RowStop = 2882 %Two days

TotalLoadskW = sum(LoadskW(2:RowStop, :),2)

GenkW = xlsread('new data for Mel','gens to use')
TotalGenkW = sum(GenkW(2:RowStop, :),2)

Price = Price(2:RowStop)
TotalDR=TotalDR(2:RowStop)

%plot(Price)
%plot(TotalDR)

CatColours = brewermap(9, 'Set1')

   set(0,'DefaultAxesFontSize',8);
   set(0,'DefaultFigureColor','w')
   set(0,'defaulttextinterpreter','tex')
   set(0, 'DefaultAxesFontName', 'times');
   
   
figure   
scatter(TotalGenkW - TotalLoadskW, Price, 10, 'filled', 'MarkerFaceColor',CatColours(4,:), 'MarkerFaceAlpha',0.15)
ax = gca;
ax.YAxisLocation = 'origin';
set(ax ,'Layer', 'Top')


axis([-60 60 0 26])

FigWidth = 8.89
FigHeight = 3

set(gcf, 'Units','centimeters', 'Position',[0 0 FigWidth FigHeight])
set(gca, 'Units','normalized')
set(gca, 'Position',[0.075 0.25 0.85 0.7])

%ylabel({'Enertok';'price'; '()'})
%set(get(gca,'YLabel'),'Rotation',0, 'VerticalAlignment','middle', 'HorizontalAlignment','right')
%xlabel({'Generation net of reference demand (kW)'})


lefty = char(8592) %unicode left arrow
righty = char(8594) %unicode right arrow
uppy = char(8593)
downy = char(8595)
both = char(8597)

text(-15, 15, {uppy; 'Enertok price'; '()'},'FontName', 'Times','FontSize',8,'FontWeight','normal', 'HorizontalAlignment', 'right','Color',[0.2 0.2 0.2])

text(0, -7, [lefty, ' Generation net of reference demand (kW) ', righty],'FontName', 'Times','FontSize',8,'FontWeight','normal', 'HorizontalAlignment', 'center','Color',[0.2 0.2 0.2])


quart = char(188);     
eight = char(8539);

set(gca,'YTick',[0, 12.5, 25, 25.01]) %consistent tick interval

set(gca,'YTickLAbel',{'0', eight, quart}) %consistent tick interval

set(gca,'XTick',[-60, -40, -20, 0, 20, 40, 60]) %consistent tick interval
set(gca,'XTickLabel',{'-60', '-40', '-20', '0', '+20', '+40', '+60'}) %consistent tick interval


export_fig ('NetLoadScatter.png', '-m3', '-nocrop')



figure   
scatter(Price, TotalDR, 10, 'filled', 'MarkerFaceColor',CatColours(4,:), 'MarkerFaceAlpha',0.15)



figure

scatter(TotalGenkW - TotalLoadskW, TotalDR, 10, 'filled', 'MarkerFaceColor',CatColours(3,:), 'MarkerFaceAlpha',0.15)
ax = gca;
ax.YAxisLocation = 'origin';
ax.XAxisLocation = 'origin';

set(ax ,'Layer', 'Top')

axis([-60.002 60.002 -12 12])


FigWidth = 8.89
FigHeight = 3

set(gcf, 'Units','centimeters', 'Position',[0 0 FigWidth FigHeight])
set(gca, 'Units','normalized')
set(gca, 'Position',[0.075 0.187 0.85 0.7])

%ylabel({'Demand';'response'; '(kW)'})
%set(get(gca,'YLabel'),'Rotation',0, 'VerticalAlignment','middle', 'HorizontalAlignment','right')
%xlabel({'Generation net of reference demand (kW)'})


text(-15, 9, {uppy; 'Demand response'; '(kW)'},'FontName', 'Times','FontSize',8,'FontWeight','normal', 'HorizontalAlignment', 'right','Color',[0.2 0.2 0.2])
text(0, -16, [lefty, ' Generation net of reference demand (kW) ', righty],'FontName', 'Times','FontSize',8,'FontWeight','normal', 'HorizontalAlignment', 'center','Color',[0.2 0.2 0.2])


set(gca,'YTick',[-10, 0, 10]) %consistent tick interval
set(gca,'YTickLAbel',{'-10', '', '+10'}) %consistent tick interval

set(gca,'XTick',[-60.001,-60, -40, -20, 0, 20, 40, 60, 60.001]) %consistent tick interval
set(ax,'XTickLabel',{'', '-60', '-40', '-20', '', '+20', '+40', '+60', 'aa'}) %consistent tick interval


export_fig ('NetDRScatter.png', '-m3', '-nocrop')




figure
plot(TotalLoadskW, 'LineWidth', 1, 'Color', [CatColours(1,:),1])

axis([0 RowStop 0 61])

%FigWidth = 18.42 % latex \linewdith of figure* environment

FigWidth = 8.89 % latex \linewdith of figure environment
FigHeight = 2; %Height/sqrt(2) which is a classicaly nice proportion
AxesPositions = [0.165 0.32 0.8 0.6];

set(gcf, 'Units','centimeters', 'Position',[0 0 FigWidth FigHeight])
set(gca, 'Units','normalized')
set(gca, 'Position',AxesPositions)

box off

ylabel({uppy; 'Initial'; 'Load';'(kW)'})

%text(45, 64, [uppy, ' Reference demand (kW)'],'FontName', 'Times','FontSize',10,'FontWeight','bold','Color',CatColours(1,:))

set(get(gca,'YLabel'),'Rotation',0, 'VerticalAlignment','middle', 'HorizontalAlignment','right')

set(gca,'XTick',[0:8*60:RowStop]) %consistent tick interval
set(gca,'XTickLAbel',{'00:00', '08:00', '16:00','00:00', '08:00', '16:00','00:00', '08:00', '16:00','00:00', '08:00', '16:00' }) %consistent tick interval

export_fig ('LoadTimeSeriesOneCol.png', '-m3', '-nocrop')

%AxesPositions = [0.06 0.1 0.89 0.76];


figure

plot(TotalGenkW , 'LineWidth', 1, 'Color', [CatColours(2,:),1])

axis([0 RowStop 0 61])


set(gcf, 'Units','centimeters', 'Position',[0 0 FigWidth FigHeight])
set(gca, 'Units','normalized')
set(gca, 'Position',AxesPositions)

box off

ylabel({uppy; 'Solar';'Gen.'; '(kW)'})

%text(45, 65, [uppy,' Generation (kW)'],'FontName', 'Times','FontSize',10,'FontWeight','bold','Color',CatColours(2,:))

set(get(gca,'YLabel'),'Rotation',0, 'VerticalAlignment','middle', 'HorizontalAlignment','right')

set(gca,'XTick',[0:8*60:RowStop]) %consistent tick interval
set(gca,'XTickLAbel',{''}) %consistent tick interval

export_fig ('GenTimeSeriesOneCol.png', '-m3', '-nocrop')



figure

NetGen = TotalGenkW - TotalLoadskW;

plot(NetGen, 'LineWidth', 1, 'Color', [CatColours(7,:),1])


ticks = [574, 951, 2061, 2404]


for thisline = 1:length(ticks)
    
    line([ticks(thisline), ticks(thisline)], [-60, 60], 'LineWidth', 0.5, 'Color', [0.5,0.5,0.5])
    
end


max(NetGen)
min(NetGen)

axis([0 RowStop -55 55])
ax = gca;
ax.XAxisLocation = 'origin';

set(gcf, 'Units','centimeters', 'Position',[0 0 FigWidth FigHeight])
set(gca, 'Units','normalized')
set(gca, 'Position',[0.165 0.23 0.8 0.6])

box off

ylabel({uppy;'Net'; 'Gen'; '(kW)';downy})
%text(45, 14, [both, ' Demand response (kW)'],'FontName', 'Times','FontSize',10,'FontWeight','bold','Color',CatColours(3,:))


set(get(gca,'YLabel'),'Rotation',0, 'VerticalAlignment','middle', 'HorizontalAlignment','right')

set(gca,'XTick',[0:8*60:RowStop]) %consistent tick interval
set(gca,'XTickLAbel',{'' }) %consistent tick interval

set(gca,'YTick',[-50, 0, 50]) %consistent tick interval
set(gca,'YTickLAbel',{'-50', '0', '+50'}) %consistent tick interval

export_fig ('NetGenTimeSeriesOneCol.png', '-m3', '-nocrop')


figure

plot(TotalDR, 'LineWidth', 1, 'Color', [CatColours(3,:), 1])

ticks = [574, 951, 2061, 2404]


for thisline = 1:length(ticks)
    
    line([ticks(thisline), ticks(thisline)], [-50, 50], 'LineWidth', 0.5, 'Color', [0.5,0.5,0.5])
    
end


max(TotalDR)
min(TotalDR)

axis([0 RowStop -14 14])
ax = gca;
ax.XAxisLocation = 'origin';

set(gcf, 'Units','centimeters', 'Position',[0 0 FigWidth FigHeight])
set(gca, 'Units','normalized')
set(gca, 'Position',AxesPositions)

box off

ylabel({uppy;'DR'; '(kW)';downy})
%text(45, 14, [both, ' Demand response (kW)'],'FontName', 'Times','FontSize',10,'FontWeight','bold','Color',CatColours(3,:))


set(get(gca,'YLabel'),'Rotation',0, 'VerticalAlignment','middle', 'HorizontalAlignment','right')

set(gca,'XTick',[0:8*60:RowStop]) %consistent tick interval
set(gca,'XTickLAbel',{''}) %consistent tick interval

set(gca,'YTick',[-10, 0, 10]) %consistent tick interval
set(gca,'YTickLAbel',{'-10', '0', '+10'}) %consistent tick interval


export_fig ('DRTimeSeriesOneCol.png', '-m3', '-nocrop')



figure

plot(Price, 'LineWidth', 1, 'Color', [CatColours(4,:),1])

hold on

ticks = [574, 951, 2061, 2404]


for thisline = 1:length(ticks)
    
    line([ticks(thisline), ticks(thisline)], [-50, 50], 'LineWidth', 0.5, 'Color', [0.5,0.5,0.5])
    
end

axis([0 RowStop 0 30])

set(gcf, 'Units','centimeters', 'Position',[0 0 FigWidth FigHeight])
set(gca, 'Units','normalized')
set(gca, 'Position',AxesPositions)

box off

ylabel({uppy;'Enertok';'Price'; '()'})

set(get(gca,'YLabel'),'Rotation',0, 'VerticalAlignment','middle', 'HorizontalAlignment','right')

%text(45, 28, [uppy, ' Enertok price ()'],'FontName', 'Times','FontSize',10,'FontWeight','bold','Color',CatColours(4,:))


set(gca,'XTick',[574, 951, 2061, 2404]) %consistent tick interval
set(gca,'XTickLAbel',{'09:34', '15:51', '10:21', '16:04'}) %consistent tick interval

quart = char(188);     
eight = char(8539);

set(gca,'YTick',[0, 12.5, 25]) %consistent tick interval
set(gca,'YTickLAbel',{'0', eight, quart}) %consistent tick interval



export_fig ('PriceTimeSeriesOneCol.png', '-m3', '-nocrop')





figure %output a simple diagram showing the demurrage mechanism

plot([0,120, 180],[1,0,0], 'LineWidth', 3, 'Color', [CatColours(5,:),0.5])

FigWidth = 8.89 % latex \linewdith of figure environment
FigHeight = 2.4; %Height/sqrt(2) which is a classicaly nice proportion
AxesPositions = [0.22 0.38 0.75 0.55];

set(gcf, 'Units','centimeters', 'Position',[0 0 FigWidth FigHeight])
set(gca, 'Units','normalized')
set(gca, 'Position',AxesPositions)

axis([0 180 0 1])

ylabel({uppy; 'Enertok'; 'value' ; '(kW.min)'})

xlabel(['Time since generation  ', righty,'  (min)'])
set(get(gca,'YLabel'),'Rotation',0, 'VerticalAlignment','middle', 'HorizontalAlignment','right')

set(gca,'XTick',[0, 30, 60, 90, 120, 150, 180]) %consistent tick interval


box off



export_fig ('DemurrageDiagram.png', '-m3', '-nocrop')




